#ifndef ERR_H
    #define ERR_H
/*;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  Copyright (c) 1995-1996, ADLink Technology Inc.  All rights reserved.  ;;
;;									   ;;
;;	File Name   :	ACLERR.H					   ;;
;;	Purpose     :	Error Number Definition 			   ;;
;;	Date	    :	8/15/1995					   ;;
;;	Revision    :	1.10						   ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;*/

enum {
    ERR_NoError,
    ERR_BoardNoInit,
    ERR_InvalidBoardNumber,
    ERR_InitializedBoardNumber,
    ERR_BaseAddressError,
    ERR_BaseAddressConflict,
    ERR_DuplicateBoardSetting,
    ERR_DuplicateIrqSetting,
    ERR_PortError,
    ERR_ChannelError,
    ERR_InvalidADChannel,
    ERR_InvalidDAChannel,
    ERR_InvalidDIChannel,
    ERR_InvalidDOChannel,
    ERR_InvalidDIOChannel,
    ERR_InvalidIRQChannel,
    ERR_InvalidDMAChannel,
    ERR_InvalidChangeValue,
    ERR_InvalidTimerValue,
    ERR_InvalidTimerMode,
    ERR_InvalidCounterValue,
    ERR_InvalidCounterMode,
    ERR_InvalidADMode,
    ERR_InvalidMode,
    ERR_NotOutputPort,
    ERR_NotInputPort,
    ERR_AD_DMANotSet,
    ERR_AD_INTNotSet,
    ERR_AD_AquireTimeOut,
    ERR_AD_InvalidGain,
    ERR_INTNotSet,
    ERR_TotalErrorCount,
    ERR_PCIBiosNotExist,
    ERR_PCIIrqNotExist,
    ERR_PCICardNotExist
};
#endif	/* end ifndef ERR_H */
